require( "scripts/style.lua" );


MakeDialog
{
	name="chmail", -- Remember, this is like saying table['name']=name, so it works.
	Bitmap
	{
		image="backgrounds/Game_mode",

		x=250, y=160, w=kMax,h=kMax,

		Text
		{
			 font = { lithosFont, 26,   Color(0,0,0,255)},
			 name = "title",
			 x=0,y=24,w=480,h=50,
			 flags = kHAlignCenter + kVAlignCenter,
			 label = "GModeTitle"
		},
		
		Text
		{
			 font = { lithosFont, 18,   Color(0,0,0,255)},
			 name = "txt1",
			 x=0,y=165,w=480,h=50,
			 flags = kHAlignCenter + kVAlignCenter,
			 label = "GModeText1"
		},
		
		Text
		{
			 font = { lithosFont, 18,   Color(0,0,0,255)},
			 name = "txt2",
			 x=0,y=286,w=480,h=50,
			 flags = kHAlignCenter + kVAlignCenter,
			 label = "GModeText2"
		},

		Button
		{
			x=160, 	y=94,
			name="enterok",
			type = kPush,
			graphics = {"buttons/timed",	"buttons/timed_pressed",	"buttons/timed_mouseover"},
			command =
				function()
					SetGameMode(1);
					CloseWindow();
				end
		},

		Button
		{
			x=160, y=216,
			name="entercancel",
			graphics = {"buttons/casual",	"buttons/casual_pressed",	"buttons/casual_mouseover"},
			type = kPush,
			command =
				function()
					SetGameMode(0);
					CloseWindow();
				end
		},
			
	},

} -- MakeDialog
